//  main: main.less, out: ../style.css

// ====================================================================================================================================
// WIDGETS
// ====================================================================================================================================


.c-calendar {
    position: fixed;
    z-index: 999;
    background-color: @color-white;
    width: 1024px;
    height: 600px;
    .widget-title {
        display: none;
    }
}

.c-actionbar {
    position: fixed;
    top: 50%;
    left: -50px;
    z-index: 199;
    .transition-elastic;
    .u-transform(translateY(-50%));
    &.isVisible {
        left: 0;
    };
    @media @media_tablet, @media_smartphone {
        position: fixed;
        top: initial;
        left: 0; 
        right: 0;
        bottom: 0;
        .u-transform(translateY(0));
        .u-flex-display();
        & > div {
            width: 25%;
        }
    }
    .w-actionbar {
        position: relative;

        .widget-title {
            position: absolute;
            top: 50%;
            right: -10px;
            text-align: left;
            margin: 0;
            background-color: white;
            padding: 2px 8px;
            font-size: @size__s;
            font-weight: @font_w__b;
            opacity: 0;
            .u-shadow(0 0 10px 0 rgba(0, 0, 0, 0.2));
            .transition-elastic;
            .u-border-radius(10px);
            .u-transform(translate(50%, -50%));
        }
        @media @media_desktop, @media_full, @media_landascape {
            &:hover {
                .widget-title {
                    opacity: 1;
                    .u-transform(translate(100%, -50%));
                }
            }
        }

    }

    .w-facebook,
    .w-twitter,
    .w-calendar,
    .w-print {
        display: block;
        height: 32px;
        width: 32px;
        margin: @margin__s/2 0 0 @margin__s/2;
        background-repeat: no-repeat;
        background-position: center;
        background-size: auto 40%;
        cursor: pointer;
        .u-border-radius(100%);
        @media @media_tablet, @media_smartphone {
            width: 100%;
            height: @margin__m;
            margin: 0;
            .u-border-radius(0);
        }
    }

    .w-facebook {
        background-color: #1877f2;
        background-image: url('images/icn-facebook.svg');
        background-size: auto 50%;
    }

    .w-twitter {
        background-color: #1da1f2;
        background-image: url('images/icn-twitter.svg');
    }

    .w-calendar {
        background-color: #4285f4;
        background-image: url('images/icn-calendar.svg');
    }

    .w-print {
        background-color: #35465d;
        background-image: url('images/icn-print.svg');
        background-size: auto 50%;
    }
}

.wpdm-link-tpl {
    @media @media_smartphone {
        .wpdm_icon {
            height: 30px !important;
        }

        .media-body {
            padding-top: @margin__s  !important;

            a {
                white-space: nowrap;
            }

            span {
                display: block;
                margin: 4px 0 4px 0 !important;
            }
        }
    }
}